Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# GraphicsWindowInputDevice Class Reference

This is a structure representing a single input device that may be associated with a window. More...

List of all members.

## Public Member Functions
| buttonDown (ButtonHandle button, double time)
| Records that the indicated button has been depressed.
| buttonDown (ButtonHandle button)
| Records that the indicated button has been depressed.
| buttonResumeDown (ButtonHandle button)
| Records that the indicated button was depressed earlier, and we only just detected the event after the fact.
| buttonResumeDown (ButtonHandle button, double time)
| Records that the indicated button was depressed earlier, and we only just detected the event after the fact.
| buttonUp (ButtonHandle button, double time)
| Records that the indicated button has been released.
| buttonUp (ButtonHandle button)
| Records that the indicated button has been released.
| candidate (string candidate_string, unsigned int highlight_start, unsigned int highlight_end, unsigned int cursor_pos)
| Records that the indicated candidate string has been highlighted.
| focusLost ()
| This should be called when the window focus is lost, so that we may miss upcoming button events (especially "up" events) for the next period of time.
| focusLost (double time)
| This should be called when the window focus is lost, so that we may miss upcoming button events (especially "up" events) for the next period of time.
| keystroke (int keycode)
| Records that the indicated keystroke has been generated.
| keystroke (int keycode, double time)
| Records that the indicated keystroke has been generated.
| setPointer (bool inwin, int x, int y, double time)
| Records that a mouse movement has taken place.
| setPointerInWindow (int x, int y)
| To be called by a particular kind of GraphicsWindow to indicate that the pointer is within the window, at the given pixel coordinates.
| setPointerInWindow (int x, int y, double time)
| To be called by a particular kind of GraphicsWindow to indicate that the pointer is within the window, at the given pixel coordinates.
| setPointerOutOfWindow (double time)
| To be called by a particular kind of GraphicsWindow to indicate that the pointer is no longer within the window.
| setPointerOutOfWindow ()
| To be called by a particular kind of GraphicsWindow to indicate that the pointer is no longer within the window.

## Detailed Description

This is a structure representing a single input device that may be associated with a window.

Typically this will be a keyboard/mouse pair, and there will be exactly one of these associated with each window, but other variants are possible.

## Member Function Documentation

buttonDown | ( | ButtonHandle | button,
|  | double | time
| ) |  |

Records that the indicated button has been depressed.

buttonDown | ( | ButtonHandle | button | ) |

Records that the indicated button has been depressed.

buttonResumeDown | ( | ButtonHandle | button | ) |

Records that the indicated button was depressed earlier, and we only just detected the event after the fact.

This is mainly useful for tracking the state of modifier keys.

buttonResumeDown | ( | ButtonHandle | button,
|  | double | time
| ) |  |

Records that the indicated button was depressed earlier, and we only just detected the event after the fact.

This is mainly useful for tracking the state of modifier keys.

buttonUp | ( | ButtonHandle | button,
|  | double | time
| ) |  |

Records that the indicated button has been released.

buttonUp | ( | ButtonHandle | button | ) |

Records that the indicated button has been released.

candidate | ( | string | candidate_string,
|  | unsigned int | highlight_start,
|  | unsigned int | highlight_end,
|  | unsigned int | cursor_pos
| ) |  |

Records that the indicated candidate string has been highlighted.

This is used to implement IME support for typing in international languages, especially Chinese/Japanese/Korean.

focusLost | ( |  | ) |

This should be called when the window focus is lost, so that we may miss upcoming button events (especially "up" events) for the next period of time.

It generates keyboard and mouse "up" events for those buttons that we previously sent unpaired "down" events, so that the Panda application will believe all buttons are now released.

focusLost | ( | double | time | ) |

This should be called when the window focus is lost, so that we may miss upcoming button events (especially "up" events) for the next period of time.

It generates keyboard and mouse "up" events for those buttons that we previously sent unpaired "down" events, so that the Panda application will believe all buttons are now released.

keystroke | ( | int | keycode | ) |

Records that the indicated keystroke has been generated.

keystroke | ( | int | keycode,
|  | double | time
| ) |  |

Records that the indicated keystroke has been generated.

setPointer | ( | bool | inwin,
|  | int | x,
|  | int | y,
|  | double | time
| ) |  |

Records that a mouse movement has taken place.

setPointerInWindow | ( | int | x,
|  | int | y
| ) |  |

To be called by a particular kind of GraphicsWindow to indicate that the pointer is within the window, at the given pixel coordinates.

setPointerInWindow | ( | int | x,
|  | int | y,
|  | double | time
| ) |  |

To be called by a particular kind of GraphicsWindow to indicate that the pointer is within the window, at the given pixel coordinates.

setPointerOutOfWindow | ( | double | time | ) |

To be called by a particular kind of GraphicsWindow to indicate that the pointer is no longer within the window.

setPointerOutOfWindow | ( |  | ) |

To be called by a particular kind of GraphicsWindow to indicate that the pointer is no longer within the window.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties